#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>

#define MAXLINE 1024

/*
 * Print message and exit.
 */
void fatal(const char *fmt, ...);
/*
 * malloc, if failed then fatal exit.
 */
void *xmalloc(size_t size);
/*
 * Print debug message if debug is enabled.
 */
void debug(const char *fmt, ...);
/*
 * Print to stdout.
 */
void print(const char *fmt, ...);
